# Function deserializePayload

- deserializePayload<T>(payloadDet, data, offset?): DeserializePayloadReturn<T>

- #### Type Parameters

  - #### T extends PayloadLiteral | PayloadDiscriminator<LayoutLiteral, false>

  #### Parameters

  - ##### payloadDet: T

  - ##### data: Byteish

  - ##### `Optional` offset: number

  #### Returns DeserializePayloadReturn<T>

  - Defined in core/definitions/dist/esm/vaa/functions.d.ts:29

Generated using TypeDoc